#!/bin/bash

# 2023-08-31 RP
#- Test auf laufenden apache hinzugefuegt. Vorher wurde z.B. 0 bytes measure.sqlitedb bei haengender Anlage nicht geloescht. 
#  Obwohl test 'apache stopped' meldet funkioniert es scheinbar so (evtl. zusätzliche Zeit durch status test nach Aufruf durch gpio_key_shutdown ????) 
#- fehlenden Dateiname in chmod-Zeile eingefuegt war 'sudo chmod 644'



#Reset Database Measure.sqlite and Replace MasterJSON with factory reset file

echo "Reset Database Script inititated"

echo "...generating Piezo Sound"
/root/gpio_piezo_buzzer_beep.sh -variablebeep 0.1 4    #generate sound

#sicherstellen, dass apache gestoppt ist:
if service apache2 status | grep running; then sudo service apache2 stop; echo "stopping apache";sleep 2;else echo "apache stopped"; fi

echo "...deleting Measure.sqlitedb"
sudo rm /var/www/cgi/webservice/Database/Measure.sqlitedb   #delete database
echo "...replacing MasterJSON.json"
sudo cp /var/www/cgi/webservice/JSON/MasterJSON.new /var/www/cgi/webservice/JSON/MasterJSON.json #replace MasterJSON
sudo chown    www-data:www-data /var/www/cgi/webservice/JSON/MasterJSON.json
sudo chmod 644 /var/www/cgi/webservice/JSON/MasterJSON.json
echo "...syncing"
sync #write data to disk
echo "...Reset Database Script done"
